Loading...
Searching...
No Matches
mdds::detail::rtree::integrity_check_properties Struct Reference

## Public Attributes

bool | throw_on_first_error = true
bool | error_on_min_node_size = true

## Member Data Documentation

## error_on_min_node_size

bool mdds::detail::rtree::integrity_check_properties::error_on_min_node_size = true

When true, a node containing children less than the minimum node size will be treated as an error.

## throw_on_first_error

bool mdds::detail::rtree::integrity_check_properties::throw_on_first_error = true

When true, the integrity check will throw an exception on the first validation failure. When false, it will run through the entire tree and report all encountered validation failures then throw an exception if there is at least one failure.